import React, { useEffect, useState } from 'react'
import Taro from '@tarojs/taro'
import Page from '@/layouts/index'
import Card from './components/Card'
import { useModel } from '@/store'
import request, { apis } from '@/utils/request'
import './index.less'

export default props => {
  // const [loading, setLoading] = useState(false)
  const [listData, setListData] = useState([])
  const [queryParams, setQueryParams] = useState({pageNum:1, pageSize: 10})
  const { user } = useModel('user')

  // 要获取新数据
  // 只需要更新 queryParams 即可
  Taro.usePullDownRefresh(() => {
    setQueryParams({
      ...queryParams,
      pageNum: 1,
      pageSize: 10
    })
  })

  useEffect(() => {
    if (user && user.personId && !listData.length) {
      request({...apis.getShengHuoGuanJiaList, params: queryParams}).then(res => {
        const { records } = res
        setListData(records || [])
      })
    }
  }, [user, queryParams])

  return (
    <Page>
      <view className="shgj">
      {
        listData.map(item => <Card key={item.userId} dataSource={item} />)
      }
      </view>
    </Page>
  )
}
